[SciPy-Dev] Scipy on Python 3

Pauli Virtanen pav@iki...
Sat Sep 11 20:10:43 CDT 2010


Hi,

I flushed the Python 3 branch containing work from me and David to SVN 
trunk. Scipy now builds with Python 3, and all tests pass, except for 
scipy.weave which still needs to be ported.

More testing is welcome. I suspect Scipy's test suite does not cover all 
of the code, so there might be some work left to do. You'll probably need 
the latest 1.5.x branch Numpy to build, due to some fixes in Numpy's 
distutils that are not in 1.5.0.

	Pauli



More information about the SciPy-Dev mailing list